For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get listing

get
Path parameters
idstringRequired
Query parameters
selectstringOptional
Responses
200

OK

application/json
idstringOptional
revisioninteger · int32Optional
namestringOptional
primarybooleanOptional
notesstring · nullableOptional
get/public/v1/catalog/listings/{id}
GET /public/v1/catalog/listings/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "revision": 1,
  "name": "text",
  "authorization": {
    "id": "text",
    "name": "text",
    "revision": 1,
    "currency": "text"
  },
  "product": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "externalIds": {
      "operations": "text",
      "defaultErpItem": "text"
    },
    "status": "text"
  },
  "vendor": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "type": "Client",
    "status": "Active"
  },
  "seller": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "externalId": "text"
  },
  "priceList": {
    "id": "text",
    "revision": 1,
    "currency": "text"
  },
  "primary": true,
  "notes": "text",
  "statistics": {
    "subscriptions": 1,
    "agreements": 1
  },
  "eligibility": {
    "client": true,
    "partner": true
  }
}

Last updated

Was this helpful?